# Class CIM_ConnectivityMembershipSettingData
extends CIM_SettingData

ConnectivityMembershipSettingData provides the identification criteria for possible members of a ConnectivityCollection.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_ConnectivityMembershipSettingData

## Direct Known Subclasses

CIM_ZoneMembershipSettingData

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | ConnectivityMembershipSettingData provides the identification criteria for possible members of a ConnectivityCollection.
UMLPackagePath | string | CIM::Network::Collections
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ConnectivityMemberID | string |
Description | string | The identification of the member, based on the type specified by ConnectivityMemberType.
ModelCorrespondence | string | CIM_ConnectivityMembershipSettingData.ConnectivityMemberType
Required | boolean | true
ConnectivityMemberType | uint16 |
Description | string | ConnectivityMemberType specifies the type of identification used in the ConnectivityMemberID field.
ModelCorrespondence | string | CIM_ConnectivityMembershipSettingData.ConnectivityMemberID, CIM_ConnectivityMembershipSettingData.OtherConnectivityMemberType
Required | boolean | true
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, .., 0x8000..
Values | string | Unknown, Other, Permanent Address, Network Address, Switch Port ID, Logical Port Group, Connectivity Collection, DMTF Reserved, Vendor Reserved
OtherConnectivityMemberType | string |
Description | string | This property specifies the type of identification used in the ConnectivityMemberID field, when ConnectivityMemberType is 1, "Other".
ModelCorrespondence | string | CIM_ConnectivityMembershipSettingData.ConnectivityMemberType

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods